### Method

# Snapd Channel get_name

since: 1.22

#### Declaration [src]

    const gchar*
    snapd_channel_get_name (
      SnapdChannel* channel
    )

#### Description [src]

Get the name of this channel, e.g. “stable”.

Channel names are in the form `track/risk/branch`

`track` is the name of the feature track. Defaults to `latest` and is implied if the track is not present. `risk` is the risk of the channel, one of `stable`, `candidate`, `beta` or `edge`. `branch` is an optional branch name.

Example names: `beta` (alias to `latest/beta`) `xenial/stable` (stable release on xenial track) `latest/stable/red-button` (red button feature branch).

Available since: 1.22

Gets property | `Snapd.Channel:name`

#### Return value

Type: `const gchar*`

A name.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.